package cn.jlsxwkj.common.R;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 响应异常封装.
 *
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ResponseError extends Response {

    /**
     * 异常状态.
     */
    private static final int ERROR_CODE = 500;

    /**
     * 标识返回异常.
     */
    private String exception;

    /**
     * response error.
     *
     * @param exception 异常名称
     * @return 封装后的异常对象
     */
    public static ResponseError data(final String exception) {
        ResponseError r = new ResponseError();
        r.setCode(ERROR_CODE);
        r.setMessage("服务器异常");
        r.setException(exception);
        return r;
    }
}
