package cn.jlsxwkj.common.config;

import io.github.bucket4j.Bandwidth;
import io.github.bucket4j.Bucket;
import io.github.bucket4j.Refill;
import jakarta.annotation.Resource;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.time.Duration;

/**
 * 限流.
 *
 * @author zh
 */
@Configuration
public class RateLimiterConfig {

    /**
     * 用户配置类.
     */
    @Resource
    private UserConfig userConfig;

    /**
     * 桶.
     *
     * @return 返回桶
     */
    @Bean
    public Bucket bucket() {
        return Bucket.builder()
            .addLimit(Bandwidth.classic(
                userConfig.getGenTokens(),
                Refill.greedy(userConfig.getGenTokens(), Duration.ofSeconds(userConfig.getRateLimitSec()))
            )).build();
    }
}
