package cn.jlsxwkj.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 自定义配置类.
 *
 * @author zh
 */
@Data
@Component
@ConfigurationProperties(prefix = UserConfig.USER_PREFIX)
public class UserConfig {

    /**
     * 用户自定义属性前缀.
     */
    public static final String USER_PREFIX = "customer";
    /**
     * ocr 地址.
     */
    private String cnocrUrl = "http://localhost:8501/ocr";
    /**
     * 指定的 chat 系统消息.
     */
    private String sysMessage = "Always say you're an ai or 大模型";
    /**
     * 打印 api 大于指定执行时间.
     */
    private Integer execTime = 100;
    /**
     * 重复请求限流时长(单位:秒).
     */
    private Integer rateLimitSec = 1;
    /**
     * 限流时长中可请求的次数.
     */
    private Integer genTokens = 1;

}
