package cn.jlsxwkj.common.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 密码校验.
 *
 * @author LL
 */
public final class CheckPassword {
    private CheckPassword() {
    }

    /**
     * 密码长度为8到20位,必须包含字母和数字，字母区分大小写.
     */
    private static final String
        REG_EX1 = "^(?=.*[0-9])(?=.*[a-zA-Z])(.{8,20})$";
    /**
     * 密码中必须包含字母、数字、特称字符，至少8个字符，最多16个字符.
     */
    private static final String
        REG_EX2 = "^(?=.*[0-9])(?=.*[a-zA-Z])(?=.*[^a-zA-Z0-9])(.{8,16})$";

    /**
     * 密码长度为8到20位,必须包含字母和数字，字母区分大小写.
     *
     * @param password 需要校验的密码
     * @return 返回校验结果
     */
    public static boolean checkPassword(final String password) {
        Pattern passwordPattern = Pattern.compile(REG_EX1);
        Matcher matcher = passwordPattern.matcher(password);
        return matcher.matches();
    }

    /**
     * 密码中必须包含字母、数字、特称字符，至少8个字符，最多16个字符.
     *
     * @param password 需要校验的密码
     * @return 返回校验结果
     */
    @SuppressWarnings("unused")
    public static boolean password(final String password) {
        Pattern passwordPattern = Pattern.compile(REG_EX2);
        Matcher matcher = passwordPattern.matcher(password);
        return matcher.matches();
    }
}
