package cn.jlsxwkj.moudles.log_error;

import cn.jlsxwkj.common.exception.InsertFailException;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Arrays;

/**
 * @author zh
 */
@Service
public class LogErrorService {

    /**
     * LogErrorMapper.
     */
    @Resource
    private LogErrorMapper logErrorMapper;

    /**
     * @param e 异常
     * @throws InsertFailException 插入失败
     */
    @Transactional(rollbackFor = InsertFailException.class)
    public void insertOne(final Throwable e) throws InsertFailException {
        LogError logError = new LogError();
        logError.setException(e.getClass().getName());
        logError.setMessage(e.getMessage());
        logError.setErrorStackTrace(Arrays.toString(e.getStackTrace()));
        int rows = logErrorMapper.insert(logError);
        if (rows < 1) {
            throw new InsertFailException("插入失败");
        }
    }
}
