package cn.jlsxwkj.moudles.user_list;

import cn.dev33.satoken.annotation.SaIgnore;
import cn.dev33.satoken.stp.StpUtil;
import cn.jlsxwkj.common.exception.CustomException;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zh
 */
@RestController
@RequestMapping("/user/")
@Tag(name = "user login")
public class UserListController {

    /**
     * UserListService.
     */
    @Resource
    private UserListService userListService;

    /**
     * 登录.
     *
     * @param userName     用户名
     * @param userPassword 密码
     * @return 用户封装
     * @throws CustomException CustomException
     */
    @PostMapping("/login")
    @SaIgnore
    public UserVO login(
        @RequestParam final String userName,
        @RequestParam final String userPassword) throws CustomException {
        return userListService.checkOrAddUser(userName, userPassword);
    }

    /**
     * 登出.
     *
     * @return 登出成功
     */
    @GetMapping("/logout")
    public String logout() {
        StpUtil.logout();
        return "登出成功";
    }
}
